export interface MyAnimeListUser {
    id: number
    name: string
    picture: string
    gender: string
    birthday: string
    location: string
    joinedAt: string
    AnimeStatistics: AnimeStatistics
    timeZone: string
    isSupporter: boolean

}

export interface AnimeStatistics {
    numItemsWatching: number 
    numItemsCompleted: number 
    numItemsOnHold: number 
    numItemsDropped: number 
    numItemsPlanToWatch: number 
    numItems: number 
    numDaysWatched: number 
    numDaysWatching: number 
    numDaysCompleted: number 
    numDaysOnHold: number 
    numDaysDropped: number 
    numDays: number 
    numEpisodes: number 
    numTimesRewatched: number 
    meanScore: number 
}

export interface MALWatchlist {
    data: {
        node: Node
        listStatus: ListStatus
    }[]
    paging: Paging
}

export interface Node {
    id: number
    title: string
    mainPicture: MainPicture
}

export interface MainPicture {
    medium: string
    large: string
}

export interface ListStatus {
    status: string
    score: number
    numEpisodesWatched: number
    isRewatching: boolean
    updated_at: string
    startDate: string
    finishDate: string
}

export interface Paging {
    previous: string
    next: string
}
